All Classes Namespaces Functions Variables Groups Pages
SewioRestClient::SewioRestConnection Class Reference

class for Sewio.net's RTLS Studio REST connections; returns SewioRestClient::SewioRestClient objects More...

Inheritance diagram for SewioRestClient::SewioRestConnection:
[legend]

## Public Member Functions

| constructor (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| creates the SewioRestConnection object More...
*hash | getDefaultOptions ()
| returns default options
hash | getOptions ()
| gets options More...
string | getType ()
| returns `"sewiorest"`

## Static Public Member Functions

static SewioRestConnection | make (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| static constructor

## Public Attributes

const | Options
| SewioRestConnection object connection options.

## Private Member Functions

SewioRestClient | getImpl (bool connect=True, *hash rtopts)
| returns a SewioRestClient::SewioRestClient object More...

## Detailed Description

class for Sewio.net's RTLS Studio REST connections; returns SewioRestClient::SewioRestClient objects

supports the following options:

- `"apikey"`: (required) the Sewio.net's RTLS Studio api key
- `"connect_timeout"`: connection timeout to use in milliseconds
- `"content_encoding"`: this sets the send encoding (if the `"send_encoding"` option is not set) and the requested response encoding; for possible values, see EncodingSupport
- `"data"`: see DataSerializationOptions for possible values; the default is `"json"`
- `"http_version"`: HTTP version to use (`"1.0"` or `"1.1"`, defaults to `"1.1"`)
- `"max_redirects"`: maximum redirects to support
- `"proxy"`: proxy URL to use
- `"send_encoding"`: a send data encoding option or the value `"auto"` which means to use automatic encoding; if not present defaults to no content-encoding on sent message bodies
- `"timeout"`: transfer timeout to use in milliseconds

See Also
  SewioRestClient::constructor() for more information on the above options

## Member Function Documentation

SewioRestClient::SewioRestConnection::constructor | ( | string | name,
|  | string | desc,
|  | string | url,
|  | bool | monitor,
|  | *hash | opts,
|  | hash | urlh
| ) |  |

creates the SewioRestConnection object

Parameters

  name | the name of the connection
  desc | connection description
  url | connection URL (potentially with password info)
  monitor | monitoring flag
  opts | connection options
  urlh | broken down URL hash (as returned by Qore::parse_url())

Exceptions

  SEWIORESTCONNECTION-ERROR | missing apikey option

SewioRestClient SewioRestClient::SewioRestConnection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |

privatevirtual

returns a SewioRestClient::SewioRestClient object

Parameters

  connect | if True, then the connection is returned already connected
  rtopts | this connection type does not accept any runtime options, so this parameter is ignored

Returns
  a SewioRestClient object

Reimplemented from RestClient::RestConnection.

hash SewioRestClient::SewioRestConnection::getOptions | ( |  | ) |

gets options

Returns
  returns a hash with the following supported options:
  - `"apikey"`: the Sewio.net's RTLS Studio API key in use
  - `"connect_timeout"`: connection timeout to use in milliseconds
  - `"content_encoding"`: this sets the send encoding (if the `"send_encoding"` option is not set) and the requested response encoding; for possible values, see EncodingSupport
  - `"data"`: see RestClient::RestClient::DataSerializationOptions for possible values; the default is `"json"`
  - `"http_version"`: HTTP version to use (`"1.0"` or `"1.1"`, defaults to `"1.1"`)
  - `"max_redirects"`: maximum redirects to support
  - `"proxy"`: proxy URL to use
  - `"send_encoding"`: a send data encoding option or the value `"auto"` which means to use automatic encoding; if not present defaults to no content-encoding on sent message bodies
  - `"timeout"`: transfer timeout to use in milliseconds

See Also
  SewioRestClient::constructor() for more information on the above options